<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ipc__sema__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ipc_sema_t</compoundname>
    <includes local="no">cy_ipc_sema.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ipc__sema__t_1a5f5f482e9c7bf7992001adb225f5d811" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ipc_sema_t::maxSema</definition>
        <argsstring />
        <name>maxSema</name>
        <briefdescription>
<para>Maximum semaphores in system. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" line="109" />
      </memberdef>
      <memberdef id="structcy__stc__ipc__sema__t_1ad04fb13a0736977c4ddc642a630c9f54" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t *</type>
        <definition>uint32_t* cy_stc_ipc_sema_t::arrayPtr</definition>
        <argsstring />
        <name>arrayPtr</name>
        <briefdescription>
<para>Pointer to semaphores array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" bodystart="111" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" line="111" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>IPC semaphore control data structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="112" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" bodystart="106" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ipc_sema.h" line="107" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ipc__sema__t_1ad04fb13a0736977c4ddc642a630c9f54" virt="non-virtual"><scope>cy_stc_ipc_sema_t</scope><name>arrayPtr</name></member>
      <member prot="public" refid="structcy__stc__ipc__sema__t_1a5f5f482e9c7bf7992001adb225f5d811" virt="non-virtual"><scope>cy_stc_ipc_sema_t</scope><name>maxSema</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>